/*     
	memSelectLoad.jsx 
	version: 0.1 
	by Stephan Mobius, April 2009 
	Tested in Indesign CS4 
	 
	With "memSelectSave" and "memSelectLoad" you can save and load a selection  
	like you're used to from Photoshop. The script is best used with key shortcuts. 
	 
	Two unhoped for features: You can save text-selections with it, too. Also you can  
	save a selection _then_ group objects from the selection regardless. If you load the  
	selection the objects will be selected from out of the group just fine. 
	 
	ToDo: Integrate in Menu and context menues. 
	ToDo: Save bezier point selections 
*/ 
 
#targetengine "session"   
#target indesign 
 
if (app.documents.length > 0) { 
	var theDoc = app.activeDocument; 
	main();  
} 
else alert("  ..."); 
 
function main() { 
	try {  
		var evaluated = eval(theDoc.extractLabel("MemSelectLabel"));  
		if (evaluated) { 
			if (evaluated.length > 0) { 
				app.select(evaluated); 
			} else { 
				alert("  "); 
			} 
		} 
	} catch (e) {} 
} 